# java_bridge.h File Reference

## Detailed Description

Mediates between php and the server.

Creates the proxyenv structure and handles invoke, get/set property.

`#include "php_wrapper.h"`
`#include "zend_compile.h"`
`#include "php_ini.h"`
`#include "php_globals.h"`
`#include "php_java.h"`

Go to the source code of this file.

## Defines

#define | IS_EXCEPTION 86

## Enumerations

enum | constructor { CONSTRUCTOR_NONE, CONSTRUCTOR }

## Functions

void | result (pval *arg, short ignoreNonJava, pval *presult TSRMLS_DC)
int | get_jobject_from_object (zval *object, long *obj TSRMLS_DC)
void | store_jobject (zval *presult, long id TSRMLS_DC)
zend_object_value | create_object (zend_class_entry *class_type TSRMLS_DC)
zend_object_value | create_exception_object (zend_class_entry *class_type TSRMLS_DC)
void | invoke (char *name, long object, int arg_count, zval **arguments, short ignoreNonJava, pval *presult TSRMLS_DC)
void | call_function_handler (INTERNAL_FUNCTION_PARAMETERS, char *name, enum constructor constructor, short createInstance, pval *object, int argc, zval **argv)
short | set_property_handler (char *name, zval *object, zval *value, zval *return_value)
| set_property_handler
short | get_property_handler (char *name, zval *object, zval *return_value)
| get_property_handler
void | destructor (zend_rsrc_list_entry *rsrc TSRMLS_DC)
proxyenv * | createSecureEnvironment (int peer, void(*handle_request)(proxyenv *env), char *server, short is_local, struct sockaddr *saddr)
void | protocol_end (proxyenv *env)
void | check_context (proxyenv *env TSRMLS_DC)
void | setResultWith_context (char *key, char *val, char *path)
short | option_set_by_user (short option, int where)
void | init_cfg (TSRMLS_D)
void | shutdown_library (void)
void | destroy_cfg (int)
void | sys_error (const char *str, int code)
unsigned char | get_mode (void)